light-mode-image
Learn
API ReferenceUsers

Retrieve all user credentials data

Roles

adminissuermanaged-issuer

Analytics Events

USER_CREDENTIAL_RETRIEVE_LIST_STARTUSER_CREDENTIAL_RETRIEVE_LIST_SUCCESSUSER_CREDENTIAL_RETRIEVE_LIST_FAIL
GET/v1/users/{userId}/credentials

Returns metadata for all the credentials issued to the provided userId.

Analytic events

  • USER_CREDENTIAL_RETRIEVE_LIST_START
  • USER_CREDENTIAL_RETRIEVE_LIST_SUCCESS
  • USER_CREDENTIAL_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

userId*string

User ID

Formatuuid

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials"
{  "data": [    {      "id": "string",      "type": "string",      "profile": "mobile",      "offerId": "string",      "sessionId": "string",      "credentialConfigurationId": "string",      "devicePublicKey": {        "kty": "string",        "crv": "string",        "x": "string"      },      "namespaces": {},      "msoHash": "string",      "issuedDate": "2019-08-24T14:15:22Z",      "validFrom": "2019-08-24T14:15:22Z",      "validUntil": "2019-08-24T14:15:22Z",      "status": "valid"    }  ],  "nextCursor": "string"}

How would you rate this page?